package com.dev.swms.server.model.interfaces;

import java.util.Date;

import com.dev.energy.server.model.Entity;

/**
 * 仓库主数据接口
 * @author 44700
 *
 */
public class InterfaceWmsWarehouse extends Entity{
	
	
	/**仓库*/
	private String costCenter;

	/**说明 */
	private String description001;

	/**接口任务号（待确定）*/
	private String sessionID;

	/**处理结果（Y/N）*/
	private String yesOrNoEntry;

	/**最后更新日期*/
	private String dateUpdated;

	/**最后更新时间*/
	private String timeLastUpdated;

	/**最后更新用户名 */
	private String userId;
	
	/**最大返回记录行数 */	
	private String maxReturnedRows;
	
	/**异常描述*/
	private String exception_des;
	
	/**状态*/
	private String status;
	
	/**创建时间*/
	private Date createDate;
	
	
	
	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	

	public Date getCreateDate() {
		return createDate;
	}

	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}

	public String getException_des() {
		return exception_des;
	}

	public void setException_des(String exception_des) {
		this.exception_des = exception_des;
	}

	public String getCostCenter() {
		return costCenter;
	}

	public void setCostCenter(String costCenter) {
		this.costCenter = costCenter;
	}

	public String getDescription001() {
		return description001;
	}

	public void setDescription001(String description001) {
		this.description001 = description001;
	}

	public String getSessionID() {
		return sessionID;
	}

	public void setSessionID(String sessionID) {
		this.sessionID = sessionID;
	}

	public String getYesOrNoEntry() {
		return yesOrNoEntry;
	}

	public void setYesOrNoEntry(String yesOrNoEntry) {
		this.yesOrNoEntry = yesOrNoEntry;
	}

	public String getDateUpdated() {
		return dateUpdated;
	}

	public void setDateUpdated(String dateUpdated) {
		this.dateUpdated = dateUpdated;
	}

	public String getTimeLastUpdated() {
		return timeLastUpdated;
	}

	public void setTimeLastUpdated(String timeLastUpdated) {
		this.timeLastUpdated = timeLastUpdated;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getMaxReturnedRows() {
		return maxReturnedRows;
	}

	public void setMaxReturnedRows(String maxReturnedRows) {
		this.maxReturnedRows = maxReturnedRows;
	}
	
	
}
